Loading...
Searching...
No Matches
Logger::LoggerInterface Class Referenceabstract

This abstract class defines the logging interface. More...

Inheritance diagram for Logger::LoggerInterface:
[legend]

## Public Member Functions

abstract | assertLog (bool assertion, string message,...)
| Performs logging of assertions.
abstract | debug (string message,...)
| Logs a message object with the DEBUG level.
abstract | debugVar (string var_name, auto value)
| Logs the variable name and value using DEBUG level.
abstract | error (string message,...)
| Logs a message object with the ERROR level.
abstract | fatal (string message,...)
| Logs a message object with the FATAL level.
abstract | info (string message,...)
| Logs a message object with the INFO level.
abstract bool | isDebugEnabled ()
| Checks whether this Logger is enabled for the DEBUG Level.
abstract bool | isEnabledFor (int level)
| Checks whether this Logger is enabled for a given Level passed as parameter.
abstract bool | isEnabledFor (LoggerLevel level)
| Checks whether this Logger is enabled for a given Level passed as parameter.
abstract bool | isEnabledFor (string level)
| Checks whether this Logger is enabled for a given Level passed as parameter.
abstract bool | isErrorEnabled ()
| Checks whether this Logger is enabled for the ERROR Level.
abstract bool | isFatalEnabled ()
| Checks whether this Logger is enabled for the FATAL Level.
abstract bool | isInfoEnabled ()
| Checks whether this Logger is enabled for the INFO Level.
abstract bool | isTraceEnabled ()
| Checks whether this Logger is enabled for the TRACE Level.
abstract bool | isWarnEnabled ()
| Checks whether this Logger is enabled for the WARN Level.
abstract | log (int level, string message)
| Logs a message using the provided logging level.
abstract | log (LoggerLevel level, string message)
| Logs a message using the provided logging level.
abstract | log (string level, string message)
| Logs a message using the provided logging level.
abstract | logArgs (int level, string message, *softlist< auto > args)
| Logs a message using the provided logging level and a single argument for any format string arguments.
abstract | logArgs (LoggerLevel level, string message, *softlist< auto > args)
| Logs a message using the provided logging level and a single argument for any format string arguments.
abstract | logArgs (string level, string message, *softlist< auto > args)
| Logs a message using the provided logging level and a single argument for any format string arguments.
abstract | logEvent (LoggerEvent event)
| Logs an already prepared logging event object.
abstract | trace (string message,...)
| Logs a message object with the TRACE level.
abstract | traceVar (string var_name, auto value)
| Logs the variable name and value using TRACE level.
abstract | warn (string message,...)
| Logs a message object with the WARN level.

## Detailed Description

This abstract class defines the logging interface.

## Member Function Documentation

## assertLog()

abstract Logger::LoggerInterface::assertLog | ( | bool | assertion,
|  | string | message,
|  |  | ...
| ) |  |

pure virtual

Performs logging of assertions.

If the assertion parameter is False, then the message is logged using the ERROR level.

See also
  log()

Parameters

  assertion | the boolean assertion value
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## debug()

abstract Logger::LoggerInterface::debug | ( | string | message,
|  |  | ...
| ) |  |

pure virtual

Logs a message object with the DEBUG level.

See also
  log()

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## debugVar()

abstract Logger::LoggerInterface::debugVar | ( | string | var_name,
|  | auto | value
| ) |  |

pure virtual

Logs the variable name and value using DEBUG level.

See also
  log()

Parameters

  var_name | the variable name
  value | the value of the variable

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## error()

abstract Logger::LoggerInterface::error | ( | string | message,
|  |  | ...
| ) |  |

pure virtual

Logs a message object with the ERROR level.

See also
  log()

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## fatal()

abstract Logger::LoggerInterface::fatal | ( | string | message,
|  |  | ...
| ) |  |

pure virtual

Logs a message object with the FATAL level.

See also
  log()

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## info()

abstract Logger::LoggerInterface::info | ( | string | message,
|  |  | ...
| ) |  |

pure virtual

Logs a message object with the INFO level.

See also
  log()

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## isEnabledFor() [1/3]

abstract bool Logger::LoggerInterface::isEnabledFor | ( | int | level | ) |

pure virtual

Checks whether this Logger is enabled for a given Level passed as parameter.

Parameters

  level | the log level to check

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## isEnabledFor() [2/3]

abstract bool Logger::LoggerInterface::isEnabledFor | ( | LoggerLevel | level | ) |

pure virtual

Checks whether this Logger is enabled for a given Level passed as parameter.

Parameters

  level | the log level to check

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## isEnabledFor() [3/3]

abstract bool Logger::LoggerInterface::isEnabledFor | ( | string | level | ) |

pure virtual

Checks whether this Logger is enabled for a given Level passed as parameter.

Parameters

  level | the log level to check

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## log() [1/3]

abstract Logger::LoggerInterface::log | ( | int | level,
|  | string | message
| ) |  |

pure virtual

Logs a message using the provided logging level.

Parameters

  level | the logging level.
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## log() [2/3]

abstract Logger::LoggerInterface::log | ( | LoggerLevel | level,
|  | string | message
| ) |  |

pure virtual

Logs a message using the provided logging level.

Parameters

  level | The logging level.
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## log() [3/3]

abstract Logger::LoggerInterface::log | ( | string | level,
|  | string | message
| ) |  |

pure virtual

Logs a message using the provided logging level.

Parameters

  level | The logging level.
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## logArgs() [1/3]

abstract Logger::LoggerInterface::logArgs | ( | int | level,
|  | string | message,
|  | *softlist< auto > | args
| ) |  |

pure virtual

Logs a message using the provided logging level and a single argument for any format string arguments.

Parameters

  level | the logging level.
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.
  args | any format string arguments to the log message

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## logArgs() [2/3]

abstract Logger::LoggerInterface::logArgs | ( | LoggerLevel | level,
|  | string | message,
|  | *softlist< auto > | args
| ) |  |

pure virtual

Logs a message using the provided logging level and a single argument for any format string arguments.

Parameters

  level | The logging level.
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.
  args | any format string arguments to the log message

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## logArgs() [3/3]

abstract Logger::LoggerInterface::logArgs | ( | string | level,
|  | string | message,
|  | *softlist< auto > | args
| ) |  |

pure virtual

Logs a message using the provided logging level and a single argument for any format string arguments.

Parameters

  level | The logging level.
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.
  args | any format string arguments to the log message

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## logEvent()

abstract Logger::LoggerInterface::logEvent | ( | LoggerEvent | event | ) |

pure virtual

Logs an already prepared logging event object.

Parameters

  event | the event to log

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## trace()

abstract Logger::LoggerInterface::trace | ( | string | message,
|  |  | ...
| ) |  |

pure virtual

Logs a message object with the TRACE level.

See also
  log()

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## traceVar()

abstract Logger::LoggerInterface::traceVar | ( | string | var_name,
|  | auto | value
| ) |  |

pure virtual

Logs the variable name and value using TRACE level.

See also
  log()

Parameters

  var_name | the variable name
  value | the value of the variable

Implemented in Logger::LoggerWrapper, and Logger::Logger.

## warn()

abstract Logger::LoggerInterface::warn | ( | string | message,
|  |  | ...
| ) |  |

pure virtual

Logs a message object with the WARN level.

See also
  log()

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information.

Implemented in Logger::LoggerWrapper, and Logger::Logger.